<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" 
	"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.xxl.job.admin.dao.XxlJobAdminDao">
	
	<resultMap id="XxlJobAdmin" type="com.xxl.job.admin.core.model.XxlJobAdmin" >
		<result column="id" property="id" />
	    <result column="username" property="username" />
	    <result column="password" property="password" />
	</resultMap>

	<sql id="Base_Column_List">
		t.id,
		t.username,
		t.password
	</sql>

	<select id="findOne" resultMap="XxlJobAdmin">
		SELECT <include refid="Base_Column_List" />
		FROM XXL_JOB_QRTZ_ADMIN AS t
		ORDER BY t.id ASC LIMIT 1
	</select>

</mapper>